Subject: Re: bug#28402: 25.2; shr.el uses shr-tag-img despite set shr-external-rendering-functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 13 Sep 2017 19:27:29 +0200

Vasilij Schneidermann <[email-masked]> writes:

> I'm using shr.el for a package and override `shr-tag-img` by let-binding
> `shr-external-rendering-functions` to an alist containing an alternative
> rendering function that deals better with local images.  Despite this
> `shr-tag-img` is still directly called when rendering tables with images
> inside them. 

I think it would be nice to alter those direct calls to heed
`shr-external-rendering-functions'.  Doesn't seem to be much potential
for performance degradation that I can see...

Perhaps introduce a helper function like
`(shr-indirect-call 'img child)' or something...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no